org.python.core

## Class FilelikeInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.python.core.FilelikeInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class FilelikeInputStream
    extends InputStream

### Constructor Summary

Constructors
Constructor and Description
`FilelikeInputStream(PyObject filelike)`

### Method Summary

Methods
`void` `close()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilelikeInputStream

    public FilelikeInputStream(PyObject filelike)

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`